Share via


SAP Database Instances - Update

Updates the Database resource.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Workloads/sapVirtualInstances/{sapVirtualInstanceName}/databaseInstances/{databaseInstanceName}?api-version=2023-04-01

URI Parameters

Name In Required Type Description
databaseInstanceName
path True

string

Database resource name string modeled as parameter for auto generation to work correctly.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

sapVirtualInstanceName
path True

string

The name of the Virtual Instances for SAP solutions resource

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
tags

object

Gets or sets the Resource tags.

Responses

Name Type Description
200 OK

SAPDatabaseInstance

Describes the Database resource of the SAP system.

201 Created

SAPDatabaseInstance

Describes the Database resource of the SAP system.

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

SAPDatabaseInstances_Update

Sample request

PATCH https://management.azure.com/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Workloads/sapVirtualInstances/X00/databaseInstances/databaseServer?api-version=2023-04-01

{
  "tags": {
    "key1": "value1"
  }
}

Sample response

{
  "id": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Workloads/sapVirtualInstances/X00/databaseInstances/databaseServer",
  "name": "databaseServer",
  "type": "Microsoft.Workloads/sapVirtualInstances/databaseInstances",
  "tags": {
    "key1": "value1"
  },
  "location": "westcentralus",
  "systemData": {
    "createdBy": "user@xyz.com",
    "createdByType": "User",
    "createdAt": "2021-08-19T15:10:46.196Z",
    "lastModifiedBy": "user@xyz.com",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2021-08-19T15:10:46.196Z"
  },
  "properties": {
    "databaseSid": "X00",
    "databaseType": "hdb",
    "ipAddress": "10.0.0.5",
    "subnet": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "vmDetails": [
      {
        "virtualMachineId": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Compute/virtualMachines/db-vm"
      }
    ],
    "status": "Running",
    "errors": null,
    "provisioningState": "Succeeded"
  }
}
{
  "id": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Workloads/sapVirtualInstances/X00/databaseInstances/databaseServer",
  "name": "databaseServer",
  "type": "Microsoft.Workloads/sapVirtualInstances/databaseInstances",
  "tags": {},
  "location": "westcentralus",
  "systemData": {
    "createdBy": "user@xyz.com",
    "createdByType": "User",
    "createdAt": "2021-08-19T15:10:46.196Z",
    "lastModifiedBy": "user@xyz.com",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2021-08-19T15:10:46.196Z"
  },
  "properties": {
    "databaseSid": "X00",
    "databaseType": "hdb",
    "ipAddress": "10.0.0.5",
    "subnet": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "vmDetails": [
      {
        "virtualMachineId": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Compute/virtualMachines/db-vm"
      }
    ],
    "status": "Running",
    "errors": null,
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DatabaseVmDetails

Database VM details.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDefinition

Error definition.

ErrorDetail

The error detail.

ErrorResponse

Error response

LoadBalancerDetails

The Load Balancer details such as Load Balancer ID.

SAPDatabaseInstance

Define the Database resource.

SAPVirtualInstanceError

An error response from the Virtual Instance for SAP Workload service.

SapVirtualInstanceProvisioningState

Defines the provisioning states.

SAPVirtualInstanceStatus

Defines the SAP Instance status.

StorageInformation

Storage details of all the Storage accounts attached to the VM. For e.g. NFS on AFS Shared Storage.

systemData

Metadata pertaining to creation and last modification of the resource.

UpdateSAPDatabaseInstanceRequest

Defines the request body for updating SAP Database Instance.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DatabaseVmDetails

Database VM details.

Name Type Description
status

SAPVirtualInstanceStatus

Defines the SAP Instance status.

storageDetails

StorageInformation[]

Storage details of all the Storage Accounts attached to the Database Virtual Machine. For e.g. NFS on AFS Shared Storage.

virtualMachineId

string

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDefinition

Error definition.

Name Type Description
code

string

Service specific error code which serves as the substatus for the HTTP error code.

details

ErrorDefinition[]

Internal error details.

message

string

Description of the error.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

LoadBalancerDetails

The Load Balancer details such as Load Balancer ID.

Name Type Description
id

string

SAPDatabaseInstance

Define the Database resource.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.databaseSid

string

Database SID name.

properties.databaseType

string

Database type, that is if the DB is HANA, DB2, Oracle, SAP ASE, Max DB or MS SQL Server.

properties.errors

SAPVirtualInstanceError

Defines the errors related to Database resource.

properties.ipAddress

string

Database IP Address.

properties.loadBalancerDetails

LoadBalancerDetails

The Load Balancer details such as LoadBalancer ID attached to Database Virtual Machines

properties.provisioningState

SapVirtualInstanceProvisioningState

Defines the provisioning states.

properties.status

SAPVirtualInstanceStatus

Defines the SAP Instance status.

properties.subnet

string

Database subnet.

properties.vmDetails

DatabaseVmDetails[]

The list of virtual machines corresponding to the Database resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SAPVirtualInstanceError

An error response from the Virtual Instance for SAP Workload service.

Name Type Description
properties

ErrorDefinition

The Virtual Instance for SAP error body.

SapVirtualInstanceProvisioningState

Defines the provisioning states.

Value Description
Succeeded
Updating
Creating
Failed
Deleting

SAPVirtualInstanceStatus

Defines the SAP Instance status.

Value Description
Starting
Running
Stopping
Offline
PartiallyRunning
Unavailable
SoftShutdown

StorageInformation

Storage details of all the Storage accounts attached to the VM. For e.g. NFS on AFS Shared Storage.

Name Type Description
id

string

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UpdateSAPDatabaseInstanceRequest

Defines the request body for updating SAP Database Instance.

Name Type Description
tags

object

Gets or sets the Resource tags.